package com.cyksj.service.cps.shop;

import cn.hutool.core.date.DateTime;
import com.cyksj.dto.Result;
import com.cyksj.model.entity.User;
import com.cyksj.model.entity.YhShop;
import com.cyksj.model.request.YhShopApplyMoneyReq;
import com.cyksj.model.views.YhShopBrokenLineCpsUserWMoneyView;
import com.cyksj.model.views.YhShopUserWMoneyStatisticsDataView;

import java.util.List;

/*
 *项目名: yhlxj
 *文件名: YhShopManageService
 *创建者: JavaZou
 *创建时间:2023/9/19 17:36
 */
public interface YhShopManageService {
	/**
	 * 获取登录验证码
	 * @param type 1手机号、2邮箱
	 * @param cid 国家或地区id +86
	 * @param login
	 */
	void getLoginCode(Integer type, String login, Integer cid, String verifyCode, String ticket, String randStr);

	User login(Integer type, String login, String code);

	YhShopBrokenLineCpsUserWMoneyView getWMoneyStatisticsDate(long yhShopUserId, DateTime first, DateTime end);

	List<YhShopUserWMoneyStatisticsDataView> getWMoneyStatisticsDataView(long yhShopUserId, DateTime first, DateTime end);

	User yhShopManageRedirect(long userId);

	Result applyMoney(YhShopApplyMoneyReq applyMoneyReq) throws Exception;

	void addUserShop(YhShop yhShop);
}
